# eoPersistent Class Reference

An persistent object that knows how to write (through functions inherited from eoPrintable#) and read itself. More...

`#include <eoPersistent.h>`

Inheritance diagram for eoPersistent:

List of all members.

## Public Member Functions

virtual | ~eoPersistent ()
| Virtual dtor. They are needed in virtual class hierarchies.
virtual void | readFrom (std::istream &_is)=0
| Read object.

## Detailed Description

An persistent object that knows how to write (through functions inherited from eoPrintable#) and read itself.

Definition at line 52 of file eoPersistent.h.

## Member Function Documentation

virtual void eoPersistent::readFrom | ( | std::istream & | _is | ) | `[pure virtual]`

Read object.

Parameters:

  | _is | A std::istream.

Exceptions:

  | runtime_std::exception | If a valid object can't be read.

Implemented in EO< F >, eoContinue< EOT >, eoGenContinue< EOT >, eoPop< EOT >, eoVector< FitT, GeneType >, eoEsFull< Fit >, eoEsSimple< Fit >, eoEsStdev< Fit >, eoBit< FitT >, eoPBILDistrib< EOT >, eoParseTree< FType, Node >, eoExternalEO< Fit, External >, eoHowMany, eoIntNoBounds, eoIntInterval, eoIntBelowBound, eoIntAboveBound, eoGeneralIntBounds, eoParser, eoRealNoBounds, eoRealInterval, eoRealBelowBound, eoRealAboveBound, eoGeneralRealBounds, eoRealVectorBounds, eoRng, EO< double >, EO< EOT::Fitness >, EO< FitT >, EO< phenotype >, EO< fitnessT >, EO< Fit >, EO< FType >, EO< fitness_type >, EO< Fitness >, EO< PyFitness >, eoPop< PyEO >, eoPop< Dummy >, eoVector< Fit, double >, eoVector< FitT, double >, and eoVector< FitT, bool >.

Referenced by eoState::load().

The documentation for this class was generated from the following file:

- eoPersistent.h